Skip to content
Start here

Create SYN Protection rule.

ddos_protection.advanced_tcp_protection.syn_protection.rules.create(RuleCreateParams**kwargs) -> RuleCreateResponse
POST/accounts/{account_id}/magic/advanced_tcp_protection/configs/syn_protection/rules

Create a SYN Protection rule for an account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DDoS Protection Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
burst_sensitivity: str

The burst sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

mode: str

The mode for SYN Protection. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

name: str

The name of the SYN Protection rule. Value is relative to the ‘scope’ setting. For ‘global’ scope, name should be ‘global’. For either the ‘region’ or ‘datacenter’ scope, name should be the actual name of the region or datacenter, e.g., ‘wnam’ or ‘lax’.

rate_sensitivity: str

The rate sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

scope: str

The scope for the SYN Protection rule. Must be one of ‘global’, ‘region’, or ‘datacenter’.

mitigation_type: Optional[str]

The type of mitigation. Must be one of ‘challenge’ or ‘retransmit’. Optional. Defaults to ‘challenge’.

ReturnsExpand Collapse
class RuleCreateResponse:
id: str

The unique ID of the SYN Protection rule.

burst_sensitivity: str

The burst sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

created_on: datetime

The creation timestamp of the SYN Protection rule.

formatdate-time
mitigation_type: str

The type of mitigation for SYN Protection. Must be one of ‘challenge’ or ‘retransmit’.

mode: str

The mode for SYN Protection. Must be one of ‘enabled’, ‘disabled’, ‘monitoring’.

modified_on: datetime

The last modification timestamp of the SYN Protection rule.

formatdate-time
name: str

The name of the SYN Protection rule. Value is relative to the ‘scope’ setting. For ‘global’ scope, name should be ‘global’. For either the ‘region’ or ‘datacenter’ scope, name should be the actual name of the region or datacenter, e.g., ‘wnam’ or ‘lax’.

rate_sensitivity: str

The rate sensitivity. Must be one of ‘low’, ‘medium’, ‘high’.

scope: str

The scope for the SYN Protection rule. Must be one of ‘global’, ‘region’, or ‘datacenter’.

Create SYN Protection rule.

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
rule = client.ddos_protection.advanced_tcp_protection.syn_protection.rules.create(
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
    burst_sensitivity="burst_sensitivity",
    mode="mode",
    name="name",
    rate_sensitivity="rate_sensitivity",
    scope="scope",
)
print(rule.id)
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "burst_sensitivity": "burst_sensitivity",
    "created_on": "2019-12-27T18:11:19.117Z",
    "mitigation_type": "mitigation_type",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "rate_sensitivity": "rate_sensitivity",
    "scope": "scope"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "id": "id",
    "burst_sensitivity": "burst_sensitivity",
    "created_on": "2019-12-27T18:11:19.117Z",
    "mitigation_type": "mitigation_type",
    "mode": "mode",
    "modified_on": "2019-12-27T18:11:19.117Z",
    "name": "name",
    "rate_sensitivity": "rate_sensitivity",
    "scope": "scope"
  }
}